SKF GoPlant
Api Reference 101

Users

Get GoPlant user data based on query parameters.

Only administrators may use these API endpoints to retrieve users.

Users are scoped based on their storage group. If a user's storage group is outside of the administrator's scope, the administrator cannot retrieve that user.

GET /api/rest/users Get a list of users within the user’s scope based on query parameters.

Get a list of active users. If there are more than 1,000 users in the system, call the API again using the From-User-UUID parameter.

Request

                GET https://{goplant_instance}/api/rest/users
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of users whose email address is either amy.able@example.com or ben.brown@example.com.

Request

                GET https://{goplant_instance}/api/rest/users?Email-Address=amy.able@example.com,ben.brown@example.com
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of users starting with UUID 1234-5678-9012-3456 that are in storage groups 0001-0002-0003-0004 or 1111-2222-3333-4444.

Request

                GET https://{goplant_instance}/api/rest/users?From-User-UUID=1234-5678-9012-3456&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of users whose username is either carlaclark or dondraper.

Request

                GET https://{goplant_instance}/api/rest/users?User-Name=carlclark,dondraper
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
Email-Address
Limit users to those whose email address matches one of the specified addresses. Multiple email addresses may be specified, separated by commas.
string optional
From-User-UUID
Limit users to the specified round instance UUID and those that follow it.
string optional
Max-Responses
Limit the number of users returned. The maximum value is 1,000 which is also the default value.
string optional
Storage-Group-UUID
Limit users to those in the specified storage group(s). Multiple group UUIDs may be specified, separated by commas.
If the user specifies a group outside of their scope, an error will be returned.
string optional
User-Name
Limit users to those whose username matches one specified. Multiple user names may be specified, separated by commas.
string optional
Response Body Array of users with paging information
count
Number of users returned
integer
nextUserUuid
The UUID of the next user after the last user returned by this call. Null if there are no more users
string
users
Array of users within the current user’s scope
array of user-type
uuid
Unique ID of user
string
uri
User URI
string
userName
User login name
string
firstName
User first name
string
lastName
User last name
string
userStorageGroupName
User's storage group name
string
userStorageGroupUri
URI of user's storage group
string
email
User email address. Null if no email address is defined for this user
string
isAdministrator
Is the user an administrator
boolean
isEditor
Is the user an editor
boolean
isOperator
Is the user an operator
boolean
isReporter
Is the user a reporter
boolean
isRoundReviewer
Is the user a round reviewer
boolean
canChangemobileURL
Can the user change the GoPlant URL on their mobile device
boolean
lastLoginUTC
UTC time of user's last login
string
GET /api/rest/users/:uuid Get a single user.
Request

                GET https://{goplant_instance}/api/rest/users/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested User
count
Number of users returned
integer
nextUserUuid
The UUID of the next user after the last user returned by this call. Null if there are no more users
string
users
Array of users within the current user’s scope
array of user-type
uuid
Unique ID of user
string
uri
User URI
string
userName
User login name
string
firstName
User first name
string
lastName
User last name
string
userStorageGroupName
User's storage group name
string
userStorageGroupUri
URI of user's storage group
string
email
User email address. Null if no email address is defined for this user
string
isAdministrator
Is the user an administrator
boolean
isEditor
Is the user an editor
boolean
isOperator
Is the user an operator
boolean
isReporter
Is the user a reporter
boolean
isRoundReviewer
Is the user a round reviewer
boolean
canChangemobileURL
Can the user change the GoPlant URL on their mobile device
boolean
lastLoginUTC
UTC time of user's last login
string